Anonymous Login
2020-09-23 19:19 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001156Pending Requests[All Projects] Generalpublic2012-09-17 20:12
Reporterproject_manager 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionnot fixable 
Product Version 
Target VersionFixed in Version 
Summary0001156: email not sent for task reminder, bug fix
DescriptionTask Reminder:
Queue Generation and processing works in 3.x but email is not generated/sent due to code bug:

in tasks\tasks.clss.php

public function remind($module, $type, $id, $owner, &$args) {
...
$q->addQuery('c.contact_id, contact_first_name, contact_last_name,
              contact_display_name as contact_name, contact_email');

---> "contact_display_name as contact_name" ???
---> but no error or warning is generated !

replace this with:
$q->addQuery('c.contact_id, contact_first_name, contact_last_name, contact_email');

and the email is sent.
TagsNo tags attached.
Attached Files

-Relationships
related to 0001158closedcaseydk v3.0 Release email not sent for task reminder, bug fix 2. 
+Relationships

-Notes

~0002571

project_manager (reporter)

checked this in w2p: 2213, 2470.

~0002572

project_manager (reporter)

reported here:
http://forums.web2project.net/viewtopic.php?t=5056

~0002574

project_manager (reporter)

sorry, my bug report was as buggy as the code itself, please close this call, I reopen a new one, thanks.
PS: This would not be necessary if the user could change its own bug report, but this is not possible!

~0002650

caseydk (administrator)

Closed in favor of 0001158
+Notes

-Issue History
Date Modified Username Field Change
2012-07-01 13:22 project_manager New Issue
2012-07-01 13:27 project_manager Note Added: 0002571
2012-07-01 13:55 project_manager Note Added: 0002572
2012-07-02 07:59 project_manager Note Added: 0002574
2012-07-29 10:14 caseydk Relationship added related to 0001158
2012-08-07 21:10 caseydk Status new => assigned
2012-08-07 21:10 caseydk Assigned To => caseydk
2012-09-17 20:11 caseydk Project v3.0 Release => Pending Requests
2012-09-17 20:12 caseydk Note Added: 0002650
2012-09-17 20:12 caseydk Status assigned => closed
2012-09-17 20:12 caseydk Resolution open => not fixable
+Issue History